BigDecimalMath (Groovy 5.0.0)

Package: org.codehaus.groovy.runtime.typehandling

## [Java] Class BigDecimalMath

- org.codehaus.groovy.runtime.typehandling.BigDecimalMath

-     public final class BigDecimalMath
      extends NumberMath

  BigDecimal NumberMath operations

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DIVISION_EXTRA_PRECISION` |
    `static int` | `DIVISION_MIN_SCALE` |
    `static BigDecimalMath` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Number` | `absImpl(Number number)`
    `` | `public Number` | `addImpl(Number left, Number right)`
    `` | `public int` | `compareToImpl(Number left, Number right)`
    `` | `public Number` | `divideImpl(Number left, Number right)`
    `` | `public Number` | `modImpl(Number self, Number divisor)`
    `` | `public Number` | `multiplyImpl(Number left, Number right)`
    `` | `public Number` | `remainderImpl(Number left, Number right)`
    `` | `public Number` | `subtractImpl(Number left, Number right)`
    `` | `public Number` | `unaryMinusImpl(Number left)`
    `` | `public Number` | `unaryPlusImpl(Number left)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberMath` | `abs, absImpl, add, addImpl, and, andImpl, bitwiseNegate, bitwiseNegateImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, remainder, remainderImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, unaryPlus, unaryPlusImpl, xor, xorImpl`

- - ### Field Detail

    - #### public static final int DIVISION_EXTRA_PRECISION

    - #### public static final int DIVISION_MIN_SCALE

    - #### public static final BigDecimalMath INSTANCE

  - ### Method Detail

    - #### @Override
      public Number absImpl(Number number)

    - #### @Override
      public Number addImpl(Number left, Number right)

    - #### @Override
      public int compareToImpl(Number left, Number right)

    - #### @Override
      public Number divideImpl(Number left, Number right)

    - #### @Override
      public Number modImpl(Number self, Number divisor)

    - #### @Override
      public Number multiplyImpl(Number left, Number right)

    - #### @Override
      public Number remainderImpl(Number left, Number right)

    - #### @Override
      public Number subtractImpl(Number left, Number right)

    - #### @Override
      public Number unaryMinusImpl(Number left)

    - #### @Override
      public Number unaryPlusImpl(Number left)